@charset "UTF-8";
/* 스크롤 고정 */
body.fixed{position:relative;overflow:hidden;touch-action:none;}

/* 일반 팝업 - 기본 레이아웃 (딤 배경이 있는 기본 유형) */
.popup-outer-wrap{position:relative;}
.popup-wrap{display:none;position:fixed;top:0;left:0;z-index:1000;width:100%;height:100%;background:var(--black20);overflow:auto;text-align:center;}
.popup-wrap:before{content:'';display:inline-block;height:100%;vertical-align:middle;margin-right:-0.05em;}
.popup-wrap .popup-box{display:inline-block;position:relative;width:100%;max-width:calc(100% - 2rem);background:var(--white100);text-align:left;border-radius:1rem;box-shadow:0px 5px 21px 6px rgba(0,0,0,0.1);vertical-align:middle;box-sizing:border-box;}
.popup-box .popup-header{display:flex;justify-content:space-between;padding:1.5rem 2rem;border-bottom:1px solid var(--black10);}
.popup-box .popup-header h4{color:var(--black06);font-weight:var(--font-weight-medium);}
.popup-box .popup-body{padding:4rem;max-height:70vh;height:70vh;overflow:auto;box-sizing:border-box;}
.popup-box .popup-footer{display:flex;justify-content:center;padding:2rem 4rem;}

/* 팝업 사이즈 */
.popup-wrap[data-popup-size="sm"] .popup-box{width:60rem;}

/* rc하우스 일정 팝업 - 캘린더 유형*/
.popup-box.b-cal-popup{border-radius:2rem;}
.popup-box.b-cal-popup .popup-header{display:flex;justify-content:center;padding:1.7rem 1rem;box-shadow:0px 4px 10px -1px var(--color62);}
.popup-box.b-cal-popup .popup-header h4{font-size:1.8rem;font-weight:var(--font-weight-semibold);color:var(--black01);line-height:2.5rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup .popup-body{padding:0;height:auto;}
.popup-box.b-cal-popup .popup-body .cal-box{display:flex;}
.popup-box.b-cal-popup .popup-body .cal-box > div{flex:1;padding:3rem;box-sizing:border-box;}
.popup-box.b-cal-popup .popup-body .cal-box > div ul{display:flex;flex-wrap:wrap;gap:2rem;}
.popup-box.b-cal-popup .popup-body .cal-box > div ul li{display:flex;justify-content:center;align-items:center;width:calc(100% / 3 - 1.334rem);text-align:center;}
.popup-box.b-cal-popup .popup-body .cal-box > div ul li a{padding:7px 1rem;width:100%;height:100%;border:1px solid var(--color34);border-radius:4px;font-size:1.8rem;font-weight:var(--font-weight-medium);color:var(--black01);line-height:2.5rem;letter-spacing:-0.025em;box-sizing:border-box;transition:0.3s ease;}
.popup-box.b-cal-popup .popup-body .cal-box > div ul li a:hover,
.popup-box.b-cal-popup .popup-body .cal-box > div ul li a.active{background-color:var(--color12);color:var(--white100);}
.popup-box.b-cal-popup .popup-body .cal-bottom-box{display:flex;justify-content:space-between;align-items:center;padding:2.4rem 4rem;border-top:1px solid var(--color34);box-sizing:border-box;}
.popup-box.b-cal-popup .popup-body .cal-bottom-box p{display:flex;align-items:center;gap:1rem;font-size:1.8rem;font-weight:var(--font-weight-medium);color:var(--black01);line-height:2.5rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup .popup-body .cal-bottom-box p::before{content:'';width:1.8rem;height:2rem;background:url(/_res/yonsei_rc/_share/img/yonseirc/board/ico-cal-select-date-b@2x.png) no-repeat 0 0/100%;}
.popup-box.b-cal-popup .popup-body .cal-bottom-box .cal-complete-btn{padding:1rem 4rem;border-radius:8px;background-color:var(--color12);font-size:1.8rem;font-weight:var(--font-weight-medium);color:var(--white100);line-height:2.5rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup .js-popup-close{position:absolute;top:2.2rem;right:2.4rem;width:1.8rem;height:1.8rem;background:url(/_res/yonsei_rc/_share/img/yonseirc/board/ico-cal-popup-close@2x.png) no-repeat 0 0/100%;text-indent:-9999px;overflow:hidden;}
/* rc하우스 일정 팝업 - 리스트 유형 */
.popup-box.b-cal-popup.b-cal-list-popup .popup-body .cal-bottom-box{padding:2.4rem 2rem;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-header{position:relative;flex-direction:column;align-items:center;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-header .popup-header-cate{position:absolute;top:50%;left:2rem;padding:5px 1.2rem;border-radius:99.9rem;background-color:var(--color12);font-size:1.3rem;font-weight:var(--font-weight-medium);color:var(--white100);line-height:1.8rem;letter-spacing:-0.025em;transform:translateY(-50%);box-sizing:border-box;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-header span{display:block;padding:6px 0 0;font-size:1.4rem;color:var(--color72);line-height:2rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body{padding:2.4rem 3.4rem 3.2rem;box-sizing:border-box;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list{display:flex;flex-direction:column;gap:2.4rem;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con{padding:2.3rem 2.4rem;border:1px solid var(--color34);border-radius:8px;box-sizing:border-box;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-title{padding:0 0 1.4rem;font-size:1.8rem;font-weight:var(--font-weight-semibold);color:var(--black01);line-height:2.5rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-txt{font-size:1.6rem;color:var(--black01);line-height:2.2rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-dot li{position:relative;padding:0 0 1.2rem 2rem;font-size:1.6rem;color:var(--black01);line-height:2.2rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-dot li:last-of-type{padding-bottom:0;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-dot li::before{content:'';position:absolute;top:8px;left:8px;width:3px;height:3px;border-radius:50%;background-color:var(--black01);}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-date li{padding:0 0 1.2rem;font-size:1.6rem;color:var(--black01);line-height:2.2rem;letter-spacing:-0.025em;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-date li:last-of-type{padding:0;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-date li span{display:inline-block;color:var(--color72);}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .popup-close-box{display:flex;justify-content:center;padding:5.8rem 0 0;}
.popup-box.b-cal-popup.b-cal-view-popup .popup-body .popup-close-box .popup-close-btn{position:static;padding:8px 1rem;min-width:10rem;width:auto;height:auto;border-radius:9.9rem;background:var(--color12);font-size:1.4rem;color:var(--white100);line-height:2rem;letter-spacing:-0.025em;box-sizing:border-box;text-indent:unset;text-align:center;}
.popup-box.b-cal-popup.b-cal-view-popup .js-popup-close{top:3.6rem;}

/* 창의플랫폼 & RA 팝업 */
.popup-wrap:has(.popup-box.b-creyon-popup){background:var(--black50);}
.popup-box.b-creyon-popup{border-radius:8px;padding:7rem 5rem;width:128rem;}
.popup-box.b-creyon-popup .popup-header{margin:0 0 4rem;padding:1.4rem 0;border-bottom:2px solid var(--black100);}
.popup-box.b-creyon-popup .popup-header h4{font-weight:var(--font-weight-bold);font-size:2.6rem;line-height:3.1rem;color:var(--black02);}
.popup-box.b-creyon-popup .popup-body{padding:0;height:auto;max-height:unset;}
.popup-box.b-creyon-popup .popup-footer{display:flex;justify-content:center;gap:1.2rem;padding:2.4rem 0 0;}
.popup-box.b-creyon-popup .popup-footer .b-btn-popup{padding:1.2rem 1rem;min-width:12rem;border-radius:8px;background:var(--color39);font-size:2rem;line-height:3rem;color:var(--black02);letter-spacing:-0.025em;text-align:center;box-sizing:border-box;}
.popup-box.b-creyon-popup .popup-footer .b-btn-popup.blue{background:var(--color38);color:var(--white100);}
.popup-box.b-creyon-popup .popup-close-btn{position:absolute;top:2rem;right:2rem;width:2.4rem;height:2.4rem;background:url(/_res/yonsei_rc/_share/img/common/ico-close01@2x.png) no-repeat 0 0/100%;text-indent:-9999px;overflow:hidden;}
.b-creyon-wrap .popup-box.b-creyon-popup .b-textarea{height:10rem;}
.popup-guide-box{font-size:1.6rem;line-height:2.2rem;}

@media screen and (max-width:1024.98px) {
	/* 일반 팝업 - 기본 레이아웃 (딤 배경이 있는 기본 유형) */
	.popup-box .popup-footer{padding:2rem;}
	.popup-wrap .popup-body{min-height:60vh;}
	.popup-box.b-creyon-popup .popup-body{min-height:unset;}

	/* rc하우스 일정 팝업 - 캘린더 유형 */
	.popup-box.b-cal-popup{max-width:calc(100% - 2rem) !important;}
	.popup-box.b-cal-popup .popup-header{padding:1rem;}
	.popup-box.b-cal-popup .popup-header h4{font-size:1.6rem;line-height:2.2rem;}
	.popup-box.b-cal-popup .popup-body{min-height:auto;}
	.popup-box.b-cal-popup .popup-body .cal-box{flex-direction:column;}
	.popup-box.b-cal-popup .popup-body .cal-box > div{padding:2rem;}
	.popup-box.b-cal-popup .popup-body .cal-box > div ul{gap:1rem;}
	.popup-box.b-cal-popup .popup-body .cal-box > div ul li{width:calc(100% / 3 - 6.667px);}
	.popup-box.b-cal-popup .popup-body .cal-box > div ul li a{padding:5px;font-size:1.6rem;line-height:2.2rem;}
	.popup-box.b-cal-popup .popup-body .cal-bottom-box{flex-direction:column;align-items:flex-start;gap:5px;padding:1rem 2rem;}
	.popup-box.b-cal-popup .popup-body .cal-bottom-box p{gap:5px;font-size:1.6rem;line-height:2.2rem;}
	.popup-box.b-cal-popup .popup-body .cal-bottom-box p::before{width:1.6rem;height:1.8rem;}
	.popup-box.b-cal-popup .popup-body .cal-bottom-box .cal-complete-btn{align-self:flex-end;padding:8px 2rem;font-size:1.6rem;line-height:2.2rem;}
	.popup-box.b-cal-popup .js-popup-close{top:1.5rem;right:2rem;width:1.4rem;height:1.4rem;}
	/* rc하우스 일정 팝업 - 리스트 유형 */
	.popup-box.b-cal-popup.b-cal-list-popup .popup-body .cal-bottom-box{padding:2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-header .popup-header-cate{position:static;margin:0 0 6px;padding:5px 1.2rem;transform:none;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-header span{padding:3px 0 0;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body{padding:2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list{gap:1.2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con{padding:1.2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-title{padding:0 0 8px;font-size:1.6rem;line-height:2.2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-txt{font-size:1.4rem;line-height:2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-dot li{padding:0 0 8px 1.5rem;font-size:1.4rem;line-height:2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-dot li::before{left:4px;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .cal-popup-list-con .cal-popup-list-date li{padding:0 0 8px;font-size:1.4rem;line-height:2rem;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .popup-close-box{display:flex;justify-content:center;padding:2rem 0 0;}
	.popup-box.b-cal-popup.b-cal-view-popup .popup-body .popup-close-box .popup-close-btn{min-width:100%;}
	.popup-box.b-cal-popup.b-cal-view-popup .js-popup-close{top:4.5rem;}
	
	/* 창의플랫폼 & RA 팝업 */
	.popup-box.b-creyon-popup{padding:3rem 1.5rem;}
	.popup-box.b-creyon-popup .popup-header{margin:0 0 2rem;padding:5px 0;}
	.popup-box.b-creyon-popup .popup-header h4{font-size:2rem;line-height:3rem;}
	.popup-box.b-creyon-popup .popup-footer{padding:1.5rem 0 0;}
	.popup-box.b-creyon-popup .popup-footer .b-btn-popup{padding:1rem;min-width:8rem;font-size:1.4rem;line-height:2rem;}
	.popup-box.b-creyon-popup .popup-close-btn{top:1rem;right:1rem;width:2rem;height:2rem;}
	.popup-guide-box{font-size:1.4rem;line-height:2rem;}
}


@media screen and (max-width:768px){
	/* rc하우스 일정 팝업 */
	.popup-box.b-cal-popup .popup-body .cal-box > div ul li{width:calc(50% - 5px);}
}